## posting 2.9.2

=== Makefile ===

.PHONY: test
test:
	$(run) pytest --cov=posting tests/ -n 24 -m "not serial" $(ARGS)
	$(run) pytest --cov-report term-missing --cov-append --cov=posting tests/ -m serial $(ARGS)

.PHONY: test-snapshot-update
test-snapshot-update:
	$(run) pytest --cov=posting tests/ -n 24 -m "not serial" --snapshot-update $(ARGS)
	$(run) pytest --cov-report term-missing --cov-append --cov=posting tests/ -m serial --snapshot-update $(ARGS)


.PHONY: test-ci
test-ci:
	$(run) pytest --cov=posting tests/ --cov-report term-missing $(ARGS)

## posting 2.7.0

=== debian/changelog ===
posting (2.7.0-1) unstable; urgency=low

  * Initial upload to sid (Closes: #1091728).

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 May 2025 21:56:49 +0200

=== debian/control ===
Source: posting
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-openapi-pydantic,
 python3-textual-autocomplete,
 python3-xdg-base-dirs,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://posting.sh
Vcs-Browser: https://forgejo.debian.net/python/posting
Vcs-Git: https://forgejo.debian.net/python/posting

Package: posting
Section: utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: API client for the terminal
 Posting is an HTTP client. As a TUI application, it can be used over SSH and
 enables efficient keyboard-centric workflows.

=== debian/watch ===
version=4
https://github.com/darrenburns/posting/tags .*/v?(\d.*)@ARCHIVE_EXT@

## posting 2.9.2

=== debian/changelog ===
posting (2.9.2-1) sid; urgency=medium

  * Adding upstream metadata.
  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Updating to standards version 4.7.3.
  * Merging upstream version 2.9.2.
  * Updating years in copyright for 2026.
  * Using codenames instead of suitenames in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 Jan 2026 23:42:14 +0100

posting (2.7.0-1) sid; urgency=low

  * Initial upload to sid (Closes: #1091728).

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 May 2025 21:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  python3-openapi-pydantic,
  python3-textual-autocomplete,
  python3-xdg-base-dirs,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://posting.sh
 Vcs-Browser: https://forgejo.debian.net/python/posting
 Vcs-Git: https://forgejo.debian.net/python/posting

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=posting

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled
